net.i2p.router

## Class DummyNetworkDatabaseFacade

- java.lang.Object
- - net.i2p.router.NetworkDatabaseFacade
  - - net.i2p.router.DummyNetworkDatabaseFacade

- All Implemented Interfaces:
    Service

       class DummyNetworkDatabaseFacade
      extends NetworkDatabaseFacade

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyNetworkDatabaseFacade(RouterContext ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fail(Hash dbEntry)`
    `Set<Hash>` | `findNearestRouters(Hash key, int maxNumRouters, Set<Hash> peersToIgnore)` Return the RouterInfo structures for the routers closest to the given key.
    `Set<Hash>` | `getAllRouters()`
    `void` | `lookupLeaseSet(Hash key, Job onFindJob, Job onFailedLookupJob, long timeoutMs)`
    `LeaseSet` | `lookupLeaseSetLocally(Hash key)`
    `DatabaseEntry` | `lookupLocally(Hash key)`
    `void` | `lookupRouterInfo(Hash key, Job onFindJob, Job onFailedLookupJob, long timeoutMs)`
    `RouterInfo` | `lookupRouterInfoLocally(Hash key)`
    `void` | `publish(LeaseSet localLeaseSet)`
    `void` | `publish(RouterInfo localRouterInfo)`
    `void` | `restart()` Perform a soft restart.
    `void` | `shutdown()` Instruct the service that the router is shutting down and that it should do whatever is necessary to go down gracefully.
    `void` | `startup()` Instruct the service that it should start normal operation.
    `LeaseSet` | `store(Hash key, LeaseSet leaseSet)` return the leaseSet if another leaseSet already existed at that key
    `RouterInfo` | `store(Hash key, RouterInfo routerInfo)` return the routerInfo if another router already existed at that key
    `void` | `unpublish(LeaseSet localLeaseSet)`

    - ### Methods inherited from class net.i2p.router.NetworkDatabaseFacade

      `getKnownLeaseSets, getKnownRouters, getLeases, getRouters, isInitialized, renderStatusHTML, rescan`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyNetworkDatabaseFacade

          public DummyNetworkDatabaseFacade(RouterContext ctx)

  - ### Method Detail

    - #### restart

          public void restart()

      Description copied from interface: `Service`
      Perform a soft restart.

    - #### shutdown

          public void shutdown()

      Description copied from interface: `Service`
      Instruct the service that the router is shutting down and that it should do whatever is necessary to go down gracefully. It should not depend on other components at this point. This call DOES block.

    - #### startup

          public void startup()

      Description copied from interface: `Service`
      Instruct the service that it should start normal operation. This call DOES block until the service is ready.

    - #### lookupLocally

          public DatabaseEntry lookupLocally(Hash key)

      Specified by:
        `lookupLocally` in class `NetworkDatabaseFacade`
      Returns:
        RouterInfo, LeaseSet, or null

    - #### lookupLeaseSet

          public void lookupLeaseSet(Hash key,
                            Job onFindJob,
                            Job onFailedLookupJob,
                            long timeoutMs)

      Specified by:
        `lookupLeaseSet` in class `NetworkDatabaseFacade`

    - #### lookupLeaseSetLocally

          public LeaseSet lookupLeaseSetLocally(Hash key)

      Specified by:
        `lookupLeaseSetLocally` in class `NetworkDatabaseFacade`

    - #### lookupRouterInfo

          public void lookupRouterInfo(Hash key,
                              Job onFindJob,
                              Job onFailedLookupJob,
                              long timeoutMs)

      Specified by:
        `lookupRouterInfo` in class `NetworkDatabaseFacade`

    - #### lookupRouterInfoLocally

          public RouterInfo lookupRouterInfoLocally(Hash key)

      Specified by:
        `lookupRouterInfoLocally` in class `NetworkDatabaseFacade`

    - #### publish

          public void publish(LeaseSet localLeaseSet)

      Specified by:
        `publish` in class `NetworkDatabaseFacade`

    - #### publish

          public void publish(RouterInfo localRouterInfo)

      Specified by:
        `publish` in class `NetworkDatabaseFacade`

    - #### store

          public LeaseSet store(Hash key,
                       LeaseSet leaseSet)

      Description copied from class: `NetworkDatabaseFacade`
      return the leaseSet if another leaseSet already existed at that key
      Specified by:
        `store` in class `NetworkDatabaseFacade`

    - #### store

          public RouterInfo store(Hash key,
                         RouterInfo routerInfo)

      Description copied from class: `NetworkDatabaseFacade`
      return the routerInfo if another router already existed at that key
      Specified by:
        `store` in class `NetworkDatabaseFacade`

    - #### unpublish

          public void unpublish(LeaseSet localLeaseSet)

      Specified by:
        `unpublish` in class `NetworkDatabaseFacade`

    - #### fail

          public void fail(Hash dbEntry)

      Specified by:
        `fail` in class `NetworkDatabaseFacade`

    - #### getAllRouters

          public Set<Hash> getAllRouters()

      Specified by:
        `getAllRouters` in class `NetworkDatabaseFacade`

    - #### findNearestRouters

          public Set<Hash> findNearestRouters(Hash key,
                                     int maxNumRouters,
                                     Set<Hash> peersToIgnore)

      Description copied from class: `NetworkDatabaseFacade`
      Return the RouterInfo structures for the routers closest to the given key. At most maxNumRouters will be returned
      Specified by:
        `findNearestRouters` in class `NetworkDatabaseFacade`
      Parameters:
        `key` - The key
        `maxNumRouters` - The maximum number of routers to return
        `peersToIgnore` - Hash of routers not to include